MKINITRD(8)

NAME
mkinitrd - is a compat wrapper, which calls dracut to generate an initramfs

SYNOPSIS

mkinitrd [OPTION...] [<initrd-image>] <kernel-version>

DESCRIPTION

mkinitrd creates an initramfs image <initrd-image> for the kernel with version <kernel-version> by calling "dracut".

    Important

    If a more fine grained control over the resulting image is needed, "dracut" should be called directly.

OPTIONS

--version
    print info about the version

-v, --verbose
    increase verbosity level

-f, --force
    overwrite existing initramfs file.

*--image-version
    append the kernel version to the target image <initrd-image>-<kernel-version>.

--with=<module>
    add the kernel module <module> to the initramfs.

--preload=<module>
    preload the kernel module <module> in the initramfs before any other kernel modules are loaded. This can be used to ensure a certain device naming, which should in theory be avoided and the use of symbolic links in /dev is encouraged.

--nocompress
    do not compress the resulting image.

--help
    print a help message and exit.

AVAILABILITY

The mkinitrd command is part of the dracut package and is available from https://dracut.wiki.kernel.org

AUTHORS

Harald Hoyer

SEE ALSO

dracut(8)